Bug 1032317 - entries with empty objectclass attribute value can be hidden
Summary: entries with empty objectclass attribute value can be hidden
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks: 1032318 1061410
TreeView+ depends on / blocked
 
Reported: 2013-11-20 00:38 UTC by Rich Megginson
Modified: 2020-09-13 20:50 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.2.11.15-34.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1032318 (view as bug list)
Environment:
Last Closed: 2014-10-14 07:52:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 928 0 None closed entries with empty objectclass attribute value can be hidden 2020-09-24 09:18:31 UTC
Red Hat Product Errata RHBA-2014:1385 0 normal SHIPPED_LIVE 389-ds-base bug fix and enhancement update 2014-10-14 01:27:42 UTC

Description Rich Megginson 2013-11-20 00:38:57 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47591

The following entry is not returned by a search:

dn: ....
 objectClass;adcsn-5283b8e0000000c80000;vucsn-5283b8e0000000c80000: top
 objectClass;vucsn-5283b8e0000000c80000: person
 objectClass;vucsn-5283b8e0000000c80000: organizationalPerson
 objectClass;vucsn-5283b8e0000000c80000: inetOrgPerson
 objectClass;vdcsn-5283b8e0000000c80000;deleted:

Comment 2 Viktor Ashirov 2014-08-06 08:59:39 UTC
Verification steps: https://bugzilla.redhat.com/show_bug.cgi?id=1032318#c5

Comment 3 Viktor Ashirov 2014-08-13 16:46:41 UTC
I exported database to ldif via db2ldif, added new entry: 

dn: uid=bug1032317,ou=People,dc=example,dc=com
uid: bug1032317
cn: bug1032317
sn: bug1032317
creatorsName: cn=directory manager
modifiersName: cn=directory manager
createTimestamp: 20140813162551Z
modifyTimestamp: 20140813162551Z
nsUniqueId: 689f3e9a-230611e4-a735ee89-3e7c05d7
objectClass;adcsn-5283b8e0000000c80000;vucsn-5283b8e0000000c80000: top
objectClass;vucsn-5283b8e0000000c80000: person
objectClass;vucsn-5283b8e0000000c80000: organizationalPerson
objectClass;vucsn-5283b8e0000000c80000: inetOrgPerson
objectClass;vdcsn-5283b8e0000000c80000;deleted:

# /usr/lib64/dirsrv/slapd-M1/ldif2db -s dc=example,dc=com -i /tmp/M1-example-2014_08_13_182600.ldif 
importing data ...
[13/Aug/2014:18:30:33 +0200] - Backend Instance: userRoot
[13/Aug/2014:18:30:33 +0200] - WARNING: Import is running with nsslapd-db-private-import-mem on; No other process is allowed to access the database
[13/Aug/2014:18:30:33 +0200] - check_and_set_import_cache: pagesize: 4096, pages: 255088, procpages: 51626
[13/Aug/2014:18:30:34 +0200] - WARNING: After allocating import cache 408140KB, the available memory is 612212KB, which is less than the soft limit 1048576KB. You may want to decrease the import cache size and rerun import.
[13/Aug/2014:18:30:34 +0200] - Import allocates 408140KB import cache.
[13/Aug/2014:18:30:34 +0200] - import userRoot: Beginning import job...
[13/Aug/2014:18:30:34 +0200] - import userRoot: Index buffering enabled with bucket size 100
[13/Aug/2014:18:30:34 +0200] - import userRoot: Processing file "/tmp/M1-example-2014_08_13_182600.ldif"
[13/Aug/2014:18:30:34 +0200] - import userRoot: Finished scanning file "/tmp/M1-example-2014_08_13_182600.ldif" (18 entries)
[13/Aug/2014:18:30:34 +0200] - import userRoot: Workers finished; cleaning up...
[13/Aug/2014:18:30:35 +0200] - import userRoot: Workers cleaned up.
[13/Aug/2014:18:30:35 +0200] - import userRoot: Cleaning up producer thread...
[13/Aug/2014:18:30:35 +0200] - import userRoot: Indexing complete.  Post-processing...
[13/Aug/2014:18:30:35 +0200] - import userRoot: Generating numSubordinates complete.
[13/Aug/2014:18:30:35 +0200] - import userRoot: Flushing caches...
[13/Aug/2014:18:30:35 +0200] - import userRoot: Closing files...
[13/Aug/2014:18:30:35 +0200] - All database threads now stopped
[13/Aug/2014:18:30:35 +0200] - import userRoot: Import complete.  Processed 18 entries in 1 seconds. (18.00 entries/sec)

There were 18 entries in ldif file, all of them were imported. 

ldapsearch returns new entry:
$ ldapsearch -LLL -D "cn=Directory Manager" -w Secret123  -H ldap://localhost:1189 -b dc=example,dc=com "(uid=bug*)" 
dn: uid=bug1032317,ou=People,dc=example,dc=com
uid: bug1032317
cn: bug1032317
sn: bug1032317
objectClass: top
objectClass: person
objectClass: organizationalPerson
objectClass: inetOrgPerson

along with hidden attributes: 
$ ldapsearch -LLL -D "cn=Directory Manager" -w Secret123  -H ldap://localhost:1189 -b dc=example,dc=com "(uid=bug*)" "*" "nscpEntryWSI" -o ldif-wrap=no
dn: uid=bug1032317,ou=People,dc=example,dc=com
uid: bug1032317
cn: bug1032317
sn: bug1032317
objectClass: top
objectClass: person
objectClass: organizationalPerson
objectClass: inetOrgPerson
nscpEntryWSI: dn: uid=bug1032317,ou=People,dc=example,dc=com
nscpEntryWSI: nsUniqueId: 689f3e9a-230611e4-a735ee89-3e7c05d7
nscpEntryWSI: uid: bug1032317
nscpEntryWSI: cn: bug1032317
nscpEntryWSI: sn: bug1032317
nscpEntryWSI: creatorsName: cn=directory manager
nscpEntryWSI: modifiersName: cn=directory manager
nscpEntryWSI: createTimestamp: 20140813162551Z
nscpEntryWSI: modifyTimestamp: 20140813162551Z
nscpEntryWSI: objectClass;adcsn-5283b8e0000000c80000;vucsn-5283b8e0000000c80000: top
nscpEntryWSI: objectClass;vucsn-5283b8e0000000c80000: person
nscpEntryWSI: objectClass;vucsn-5283b8e0000000c80000: organizationalPerson
nscpEntryWSI: objectClass;vucsn-5283b8e0000000c80000: inetOrgPerson
nscpEntryWSI: objectClass;vdcsn-5283b8e0000000c80000;deleted:
nscpEntryWSI: parentid: 4
nscpEntryWSI: entryid: 18


Hence marking as VERIFIED

Comment 4 Viktor Ashirov 2014-08-13 16:48:24 UTC
Test was performed on:
389-ds-base-1.2.11.15-39.el6.x86_64
389-ds-base-libs-1.2.11.15-39.el6.x86_64

Comment 5 errata-xmlrpc 2014-10-14 07:52:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1385.html


Note You need to log in before you can comment on or make changes to this bug.